OpenZWave Library: OpenZWave::FileOps Class Reference

| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
OpenZWave::FileOps Class Reference
Platform Abstraction Support

Implements platform-independent File Operations. More...

`#include <FileOps.h>`

## Static Public Member Functions
static FileOps * | Create ()
static void | Destroy ()
static bool | FolderExists (const string &_folderName)
static bool | FileExists (const string &_fileName)
static bool | FileWriteable (const string &_fileName)
static bool | FileRotate (const string &_fileName)
static bool | FileCopy (const string &_fileName, const string &_destinationfile)
static bool | FolderCreate (const string &_folderName)

## Detailed Description

Implements platform-independent File Operations.

## Member Function Documentation

## ◆ Create()

FileOps * FileOps::Create | ( |  | ) |
| static

Create a FileOps cross-platform singleton.

Returns
  a pointer to the file operations object.

See also
  Destroy.

## ◆ Destroy()

void FileOps::Destroy | ( |  | ) |
| static

Destroys the FileOps singleton.

See also
  Create.

## ◆ FileCopy()

bool FileOps::FileCopy | ( | const string & | _fileName,
|  | const string & | _destfileName
| ) |  |
| static

FileCopy. Copy a File

Parameters

  string. | source file name.
  string. | destination file name

Returns
  Bool value indicating success.

## ◆ FileExists()

bool FileOps::FileExists | ( | const string & | _fileName | ) |
| static

FileExists. Check for the existence of a file.

Parameters

  string. | file name.

Returns
  Bool value indicating existence.

FileExists. Check for the existance of a file.

Parameters

  string. | file name.

Returns
  Bool value indicating existance.

## ◆ FileRotate()

bool FileOps::FileRotate | ( | const string & | _fileName | ) |
| static

FileRotate. Rotate a File

Parameters

  string. | file name.

Returns
  Bool value indicating write permissions.

## ◆ FileWriteable()

bool FileOps::FileWriteable | ( | const string & | _fileName | ) |
| static

FileWriteable. Check if we can write to a file.

Parameters

  string. | file name.

Returns
  Bool value indicating write permissions.

## ◆ FolderCreate()

bool FileOps::FolderCreate | ( | const string & | _folderName | ) |
| static

FolderCreate. Create a Folder

Parameters

  string. | folder name

Returns
  Bool value indicating success.

## ◆ FolderExists()

bool FileOps::FolderExists | ( | const string & | _folderName | ) |
| static

FolderExists. Check for the existence of a folder.

Parameters

  string. | Folder name.

Returns
  Bool value indicating existence.

The documentation for this class was generated from the following files:

- FileOps.h
- FileOps.cpp